### Hierarchy

- OfferPrice

## Index

### Constructors

- constructor

### Properties

- description
- id
- rules
- worth

### Methods

- getFieldsForAcception
- isRelevant
- toJson

## Constructors

### constructor

- new OfferPrice(id?: number, description?: string, worth?: string, rules?: Array<OfferPriceRules>): OfferPrice

- - Defined in repository/models/OfferPrice.ts:8

  #### Parameters

  - ##### Default value id: number = 0

  - ##### Default value description: string = ""

  - ##### Default value worth: string = ""

  - ##### Default value rules: Array<OfferPriceRules> = new Array<OfferPriceRules>()

  #### Returns OfferPrice

## Properties

### description

description: string

- Defined in repository/models/OfferPrice.ts:6

### id

id: number

- Defined in repository/models/OfferPrice.ts:5

### rules

rules: Array<OfferPriceRules>

- Defined in repository/models/OfferPrice.ts:8

### worth

worth: string

- Defined in repository/models/OfferPrice.ts:7

## Methods

### getFieldsForAcception

- getFieldsForAcception(accessRight: AccessRight): Map<string, AccessRight>

- - Defined in repository/models/OfferPrice.ts:35

  #### Parameters

  - ##### accessRight: AccessRight

  #### Returns Map<string, AccessRight>

### isRelevant

- isRelevant(data: Map<string, string>): boolean

- - Defined in repository/models/OfferPrice.ts:29

  #### Parameters

  - ##### data: Map<string, string>

  #### Returns boolean

### toJson

- toJson(): any

- - Defined in repository/models/OfferPrice.ts:21

  #### Returns any

Generated using TypeDoc